import type { BaseSyncModel, UserInfo } from '../../../../core/src';
export interface PresenceState {
    users: UserInfo[];
    userMap: Map<number, UserInfo>;
    activeCount: number;
    localUser?: UserInfo;
    otherUsers: UserInfo[];
    isAlone: boolean;
}
export declare function usePresence(model: BaseSyncModel): PresenceState;
export declare function useActiveUsers(model: BaseSyncModel): number;
export declare function useOtherUsers(model: BaseSyncModel): UserInfo[];
export declare function useUserColors(model: BaseSyncModel): Map<string, string>;
